Bug 43252 - Invalid quantity message needs to be updated
Summary: Invalid quantity message needs to be updated
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store   
(Show other bugs)
Version: current
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cameron Prince
QA Contact: wbirkhea
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-02 03:50 UTC by Jay Turner
Modified: 2015-01-07 23:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-04 18:31:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2001-06-02 03:50:11 UTC
Description of Problem:
The message that IC gives if the user enters an invalid quantity on the
shipping screen needs to be made the same as the message which appears on
the cart page.

How Reproducible:
Always

Steps to Reproduce:
1. Log into http://www.webqa.redhat.com/cgi-bin/store
2. Place an item in the cart
3. Continue through checkout until the Shipping Selection page
4. Change the quantity for the item to '-3' and click 'recalculate'

Actual Results:
Will get message:
"Errors were detected in your last submission. They are displayed in RED
below.  mv_order_quantity: '-3' for item ARH20000 is not numeric/integer"

Expected Results:
Should get message more like appears on the cart page:
"Errors were detected with your last submission.  They are shown in RED
below.  '-3' in not a valid quantity for Red Hat Alpha Deluxe 7.0'

Additional Information:

Comment 1 David Totten 2001-06-04 15:55:34 UTC
This appears to be working fine on http://webdevel.redhat.com/cgi-bin/store

Comment 2 Jay Turner 2001-06-04 16:03:03 UTC
Not for me on webdevel either.

Comment 3 David Totten 2001-06-04 17:32:41 UTC
Alright, now the error has been tracked down, and is now fixed on
http://webdevel.redhat.com/cgi-bin/store

Comment 4 Jay Turner 2001-06-04 18:31:04 UTC
Fix confirmed on webdevel.  Time for a push to webqa.

Comment 5 Jay Turner 2001-06-04 20:07:53 UTC
Issue is resolved on webqa.  Closing out this bug.


Note You need to log in before you can comment on or make changes to this bug.